import { request } from "@zhgkpt/utils";

// 总体情况
export function getZtqk(params) {
  return request({
    url: "/system/xfwlw/ztqk/list",
    method: "get",
    params,
  });
}

// 总体情况点位统计
export function getZtqkDwtj(params) {
  return request({
    url: "/system/xfwlw/ztqk/jcdwtj/list",
    method: "get",
    params,
  });
}

// 告警处置
export function getGqcz(params) {
  return request({
    url: "/system/xfwlw/gjcz/list",
    method: "get",
    params,
  });
}

// 获取排名
export function getRank(type, params) {
  if (type === "dq") {
    // 电器火灾
    return request({
      url: "/system/xfwlw/qyfb/dqhzpm/list",
      method: "get",
      params,
    });
  } else if (type === "hz") {
    // 区域分布火灾
    return request({
      url: "/system/xfwlw/qyfb/hzbjzjpm/list",
      method: "get",
      params,
    });
  } else if (type === "wlw") {
    // 区域分布物联网接入
    return request({
      url: "/system/xfwlw/qyfb/ldpm/list",
      method: "get",
      params,
    });
  } else if (type === "smtd") {
    // 区域分布生命通道
    return request({
      url: "/system/xfwlw/qyfb/smtdpm/list",
      method: "get",
      params,
    });
  } else if (type === "sy") {
    // 区域分布水压
    return request({
      url: "/system/xfwlw/qyfb/sypm/list",
      method: "get",
      params,
    });
  } else if (type === "xfkzs") {
    // 区域分布消防控制室
    return request({
      url: "/system/xfwlw/qyfb/xfkzspm/list",
      method: "get",
      params,
    });
  }
}

// 获取物联网设备列表
export function getDeviceList(params) {
  return request({
    url: "/system/jqdt/sgdwxx/wlwsb/list",
    method: "get",
    params,
  });
}

// 告警类型
export function getType(params) {
  return request({
    url: "/system/type/list",
    method: "get",
    params,
  });
}

// 获取接入数 /dev-api/system/ddzhxf/jrjzsbs/list
export function getJrs(params) {
  return request({
    url: "/system/ddzhxf/jrjzsbs/list",
    method: "get",
    params,
  });
}

// 获取自查情况
// /dev-api/system/task/list
export function getZcqk(params) {
  return request({
    url: "/system/task/list",
    method: "get",
    params,
  });
}

// 获取监督检查
// /system/ddzcjdwb/jdjc/list
export function getJdjc(params) {
  return request({
    url: "/system/ddzcjdwb/jdjc/list",
    method: "get",
    params,
  });
}

// 网格排查
export function getWgpc(params) {
  return request({
    url: "/system/yh/list",
    method: "get",
    params,
  });
}

// 维保情况
export function getWbqk(params) {
  return request({
    url: "/system/wbxx/list",
    method: "get",
    params,
  });
}
// 获取下钻-智慧消防列表
export function getZhxf(params) {
  return request({
    url: "/system/xz/zhxf/list",
    method: "get",
    params,
  });
}
//获取下钻-消防物联网-总体情况列表
export function getXfwlw(params) {
  return request({
    url: "/system/xz/xfwlw/ztqk/list",
    method: "get",
    params,
  });
}
